is_array
is_callable
Variable handling Functions
PHP Manual

# is_bool

Finds out whether a variable is a boolean

### Description

bool is_bool ( mixed `$var` )

Finds whether the given variable is a boolean.

### Parameters

`var`

  The variable being evaluated.

### Return Values

Returns `TRUE` if `var` is a boolean, `FALSE` otherwise.

### Examples

Example #1 is_bool examples

`<?php
$a = false;
$b = 0;
// Since $a is a boolean, it will return true
if (is_bool($a) === true) {
echo "Yes, this is a boolean";
}
// Since $b is not a boolean, it will return false
if (is_bool($b) === false) {
echo "No, this is not a boolean";
}
?>`

### See Also

- is_float
- is_int
- is_string
- is_object
- is_array